## Example of a `6120loop` Test

If the following conditions exist, the test will run the loopback tests on all 12
back-end loops and Echo out the external front-end loop.

- The Sun StorEdge 6120 array is a partner group.
- The partner group is attached to a Fibre Channel switch.
- You specify All (both) controllers and All Sims.
- You enable the External Loopback Test.

`6120loop` Test Options table describes the `6120loop` Test Options dialog box.

Option | Description
--- | ---
IP Address | Specifies the Sun StorEdge 6120 array against which to run the test.
Controller | Specifies which controller SIM (chip) will run the test. Options include: Primary-the default. Alternate-this is not an option if the Sun StorEdge 6120 array is a standalone unit. All-the test will run on both controllers, if the configuration is a partner group.
Controller SIM | Specifies which controller SIM against which to run the test. Options include: Front-the default; Back-A-Run the test on the primary controller; Back-B-Run the test on the alternate controller; All-The test will run on both controllers, if the configuration is a partner group.
Pattern Type | Selects which data pattern to loop for the internal 10-bit, internal 1-bit, and external loopback tests. Options include user (user-defined), critical (the default), and all (all pattern types).
Loop Payload Size | Specifies the payload size for the `6120echo` test. Note: If this test is run on a front end external loop, the attached device must support loopback and the specified payload size. Options range from 16 bytes to 220 bytes. The default is 0xfff8.
Echo Payload Size | Specifies the payload size for the `6120loop` test. Note: The attached device must support Echo and the specified payload size. Options range from 16 bytes to 65528 bytes. The default is 0xdc.
Loop Back Test Iterations | Sets the number of times to loop the internal 10-bit, internal 1-bit, and external loopback tests. The default value is 1000.
Number of passes | Specifies the number of times the test will run. The default is 1. Options range from 1 to forever.
User | The user login for the Sun StorEdge 6120 array.
Password | The Sun StorEdge 6120 array telnet password enables the Storage Automated Diagnostic Environment to log into the Sun StorEdge 6120 array device. The password is required.

### CLI Help

- `6120loop`.1m